javafx.beans.property

## Class ReadOnlyLongWrapper

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.LongExpression
    - - javafx.beans.property.ReadOnlyLongProperty
      - - javafx.beans.property.LongProperty
        - - javafx.beans.property.LongPropertyBase
          - - javafx.beans.property.SimpleLongProperty
            - - javafx.beans.property.ReadOnlyLongWrapper

- All Implemented Interfaces:
    NumberExpression, Observable, Property<Number>, ReadOnlyProperty<Number>, ObservableLongValue, ObservableNumberValue, ObservableValue<Number>, WritableLongValue, WritableNumberValue, WritableValue<Number>

      public class ReadOnlyLongWrapper
      extends SimpleLongProperty

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyLongWrapper()` The constructor of `ReadOnlyLongWrapper`
    `ReadOnlyLongWrapper(long initialValue)` The constructor of `ReadOnlyLongWrapper`
    `ReadOnlyLongWrapper(Object bean, String name)` The constructor of `ReadOnlyLongWrapper`
    `ReadOnlyLongWrapper(Object bean, String name, long initialValue)` The constructor of `ReadOnlyLongWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ChangeListener<? super Number> listener)` Adds a `ChangeListener` which will be notified whenever the value of the `ObservableValue` changes.
    `void` | `addListener(InvalidationListener listener)` Adds an `InvalidationListener` which will be notified whenever the `Observable` becomes invalid.
    `protected void` | `fireValueChangedEvent()` Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
    `ReadOnlyLongProperty` | `getReadOnlyProperty()` Returns the readonly property, that is synchronized with this `ReadOnlyLongWrapper`.
    `void` | `removeListener(ChangeListener<? super Number> listener)` Removes the given listener from the list of listeners, that are notified whenever the value of the `ObservableValue` changes.
    `void` | `removeListener(InvalidationListener listener)` Removes the given listener from the list of listeners, that are notified whenever the value of the `Observable` becomes invalid.

    - ### Methods inherited from class javafx.beans.property.SimpleLongProperty

      `getBean, getName`

    - ### Methods inherited from class javafx.beans.property.LongPropertyBase

      `bind, get, invalidated, isBound, set, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.LongProperty

      `asObject, bindBidirectional, longProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyLongProperty

      `readOnlyLongProperty`

    - ### Methods inherited from class javafx.beans.binding.LongExpression

      `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

    - ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

      `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### ReadOnlyLongWrapper

          public ReadOnlyLongWrapper()

      The constructor of `ReadOnlyLongWrapper`

    - #### ReadOnlyLongWrapper

          public ReadOnlyLongWrapper(long initialValue)

      The constructor of `ReadOnlyLongWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlyLongWrapper

          public ReadOnlyLongWrapper(Object bean,
                                     String name)

      The constructor of `ReadOnlyLongWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyLongProperty`
        `name` - the name of this `ReadOnlyLongProperty`

    - #### ReadOnlyLongWrapper

          public ReadOnlyLongWrapper(Object bean,
                                     String name,
                                     long initialValue)

      The constructor of `ReadOnlyLongWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyLongProperty`
        `name` - the name of this `ReadOnlyLongProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlyLongProperty getReadOnlyProperty()

      Returns the readonly property, that is synchronized with this `ReadOnlyLongWrapper`.
      Returns:
        the readonly property

    - #### addListener

          public void addListener(InvalidationListener listener)

      Adds an `InvalidationListener` which will be notified whenever the `Observable` becomes invalid. If the same listener is added more than once, then it will be notified more than once. That is, no check is made to ensure uniqueness.

      Note that the same actual `InvalidationListener` instance may be safely registered for different `Observables`.

      The `Observable` stores a strong reference to the listener which will prevent the listener from being garbage collected and may result in a memory leak. It is recommended to either unregister a listener by calling `removeListener` after use or to use an instance of `WeakInvalidationListener` avoid this situation.

      Specified by:
        `addListener` in interface `Observable`
      Overrides:
        `addListener` in class `LongPropertyBase`
      Parameters:
        `listener` - The listener to register
      See Also:
        `Observable.removeListener(InvalidationListener)`

    - #### removeListener

          public void removeListener(InvalidationListener listener)

      Removes the given listener from the list of listeners, that are notified whenever the value of the `Observable` becomes invalid.

      If the given listener has not been previously registered (i.e. it was never added) then this method call is a no-op. If it had been previously added then it will be removed. If it had been added more than once, then only the first occurrence will be removed.

      Specified by:
        `removeListener` in interface `Observable`
      Overrides:
        `removeListener` in class `LongPropertyBase`
      Parameters:
        `listener` - The listener to remove
      See Also:
        `Observable.addListener(InvalidationListener)`

    - #### addListener

          public void addListener(ChangeListener<? super Number> listener)

      Adds a `ChangeListener` which will be notified whenever the value of the `ObservableValue` changes. If the same listener is added more than once, then it will be notified more than once. That is, no check is made to ensure uniqueness.

      Note that the same actual `ChangeListener` instance may be safely registered for different `ObservableValues`.

      The `ObservableValue` stores a strong reference to the listener which will prevent the listener from being garbage collected and may result in a memory leak. It is recommended to either unregister a listener by calling `removeListener` after use or to use an instance of `WeakChangeListener` avoid this situation.

      Specified by:
        `addListener` in interface `ObservableValue<Number>`
      Overrides:
        `addListener` in class `LongPropertyBase`
      Parameters:
        `listener` - The listener to register
      See Also:
        `ObservableValue.removeListener(ChangeListener)`

    - #### removeListener

          public void removeListener(ChangeListener<? super Number> listener)

      Removes the given listener from the list of listeners, that are notified whenever the value of the `ObservableValue` changes.

      If the given listener has not been previously registered (i.e. it was never added) then this method call is a no-op. If it had been previously added then it will be removed. If it had been added more than once, then only the first occurrence will be removed.

      Specified by:
        `removeListener` in interface `ObservableValue<Number>`
      Overrides:
        `removeListener` in class `LongPropertyBase`
      Parameters:
        `listener` - The listener to remove
      See Also:
        `ObservableValue.addListener(ChangeListener)`

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent()

      Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `LongPropertyBase.set(long)` or in case of a bound property, if the binding becomes invalid.
      Overrides:
        `fireValueChangedEvent` in class `LongPropertyBase`

Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.